Index: trunk/lib/FlairCore/src/RTDM_I2cPort.h
===================================================================
--- trunk/lib/FlairCore/src/RTDM_I2cPort.h	(revision 2)
+++ trunk/lib/FlairCore/src/RTDM_I2cPort.h	(revision 15)
@@ -16,88 +16,85 @@
 #include <I2cPort.h>
 
-namespace flair
-{
-namespace core
-{
-    /*! \class RTDM_I2cPort
-    *
-    * \brief Class for real time i2c port using RTDM
-    *
-    * This class can only be used with the real time version of Framework library.
-    *
-    */
-    class RTDM_I2cPort: public I2cPort
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an RTDM i2c port, with the following default values: \n
-            * - 400kbits baudrate \n
-            * - 500000ns RX timeout \n
-            * - 1000000ns TX timeout
-            *
-            * \param parent parent
-            * \param name name
-            * \param device i2c device (ex rti2c1)
-            */
-            RTDM_I2cPort(const Object* parent,std::string name,std::string device);
+namespace flair {
+namespace core {
+/*! \class RTDM_I2cPort
+*
+* \brief Class for real time i2c port using RTDM
+*
+* This class can only be used with the real time version of Framework library.
+*
+*/
+class RTDM_I2cPort : public I2cPort {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an RTDM i2c port, with the following default values: \n
+  * - 400kbits baudrate \n
+  * - 500000ns RX timeout \n
+  * - 1000000ns TX timeout
+  *
+  * \param parent parent
+  * \param name name
+  * \param device i2c device (ex rti2c1)
+  */
+  RTDM_I2cPort(const Object *parent, std::string name, std::string device);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~RTDM_I2cPort();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~RTDM_I2cPort();
 
-            /*!
-            * \brief Set slave's address
-            *
-            * This method need to be called before any communication.
-            *
-            * \param address slave's address
-            */
-            int SetSlave(uint16_t address);
+  /*!
+  * \brief Set slave's address
+  *
+  * This method need to be called before any communication.
+  *
+  * \param address slave's address
+  */
+  int SetSlave(uint16_t address);
 
-            /*!
-            * \brief Write datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of written datas
-            */
-            ssize_t Write(const void *buf,size_t nbyte);
+  /*!
+  * \brief Write datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of written datas
+  */
+  ssize_t Write(const void *buf, size_t nbyte);
 
-            /*!
-            * \brief Read datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of read datas
-            */
-            ssize_t Read(void *buf,size_t nbyte);
+  /*!
+  * \brief Read datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of read datas
+  */
+  ssize_t Read(void *buf, size_t nbyte);
 
-            /*!
-            * \brief Set RX timeout
-            *
-            * Timeout for waiting an ACK from the slave.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            void SetRxTimeout(Time timeout_ns);
+  /*!
+  * \brief Set RX timeout
+  *
+  * Timeout for waiting an ACK from the slave.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  void SetRxTimeout(Time timeout_ns);
 
-            /*!
-            * \brief Set TX timeout
-            *
-            * Timeout for waiting an ACK from the slave.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            void SetTxTimeout(Time timeout_ns);
+  /*!
+  * \brief Set TX timeout
+  *
+  * Timeout for waiting an ACK from the slave.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  void SetTxTimeout(Time timeout_ns);
 
-        private:
-            int fd;
-    };
+private:
+  int fd;
+};
 } // end namespace core
 } // end namespace flair
